NXOpen .NET Reference  12.0.0
Public Member Functions | List of all members
NXOpen.GeometricUtilities.DraftVariableAngleData Class Reference

Represents data containing variable angle draft point data objects More...

Inheritance diagram for NXOpen.GeometricUtilities.DraftVariableAngleData:
NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void AddDraftPoints (NXOpen.GeometricUtilities.DraftPointData[] points)
 Adds NXOpen.GeometricUtilities.DraftPointData objects More...
 
unsafe void RemoveDraftPoints (NXOpen.GeometricUtilities.DraftPointData[] points)
 Removes NXOpen.GeometricUtilities.DraftPointData objects More...
 
unsafe
NXOpen.GeometricUtilities.DraftPointData[] 
GetDraftPoints ()
 Returns NXOpen.GeometricUtilities.DraftPointData objects More...
 
unsafe int GetNumberOfDraftPoints ()
 Returns number of NXOpen.GeometricUtilities.DraftPointData objects More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents data containing variable angle draft point data objects

This class will not be created by the user.

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.DraftVariableAngleData.AddDraftPoints ( NXOpen.GeometricUtilities.DraftPointData[]  points)

Adds NXOpen.GeometricUtilities.DraftPointData objects

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pointsArray of DraftPointData Objects
unsafe NXOpen.GeometricUtilities.DraftPointData [] NXOpen.GeometricUtilities.DraftVariableAngleData.GetDraftPoints ( )

Returns NXOpen.GeometricUtilities.DraftPointData objects

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
Array of DraftPointData Objects
unsafe int NXOpen.GeometricUtilities.DraftVariableAngleData.GetNumberOfDraftPoints ( )

Returns number of NXOpen.GeometricUtilities.DraftPointData objects

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
Number of DraftPointData Objects
unsafe void NXOpen.GeometricUtilities.DraftVariableAngleData.RemoveDraftPoints ( NXOpen.GeometricUtilities.DraftPointData[]  points)

Removes NXOpen.GeometricUtilities.DraftPointData objects

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pointsArray of DraftPointData Objects
unsafe bool NXOpen.GeometricUtilities.DraftVariableAngleData.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.